## org.biojava.bibliography
Class BiblioArticle

    java.lang.Object
      org.biojava.bibliography.BibRef
          org.biojava.bibliography.BiblioArticle

Direct Known Subclasses:
  BiblioBookArticle, BiblioJournalArticle

    public class BiblioArticle

extends BibRef

It represents an article.

Since:
  1.3
Version:
  $Id: BiblioArticle.java 2812 2003-07-16 16:01:11Z mrp $
Author:
  Martin Senger

Field Summary
`String` `firstPage` First page of the article.
`String` `lastPage` Last page of the article.

Fields inherited from class org.biojava.bibliography.BibRef
`authors, contributors, coverage, crossReferences, date, description, entryStatus, format, identifier, language, properties, publisher, rights, subject, title, type`

Constructor Summary
`BiblioArticle()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### firstPage

    public String firstPage

  First page of the article.

### lastPage

    public String lastPage

  Last page of the article.

Constructor Detail

### BiblioArticle

    public BiblioArticle()